<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___e_s_s__definitions" kind="group">
    <compoundname>group_ble_service_api_ESS_definitions</compoundname>
    <title>ESS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__esss__char__t">cy_stc_ble_esss_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__esss__char__info__ptr__t">cy_stc_ble_esss_char_info_ptr_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__esss__t">cy_stc_ble_esss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__essc__char__t">cy_stc_ble_essc_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__essc__char__info__ptr__t">cy_stc_ble_essc_char_info_ptr_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__essc__t">cy_stc_ble_essc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ess__char__value__t">cy_stc_ble_ess_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ess__descr__value__t">cy_stc_ble_ess_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__esss__config__t">cy_stc_ble_esss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__essc__config__t">cy_stc_ble_essc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___e_s_s__definitions_1gaef87e7183f879f97b6b07f9f7f0d934e" kind="enum" prot="public" static="no">
        <name>cy_en_ble_ess_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934ea737878a4229c35d0b21e1ad32d77ae57" prot="public">
          <name>CY_BLE_ESS_DESCRIPTOR_VALUE_CHANGED</name>
          <briefdescription>
<para>Descriptor Value Changed Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934ea62d7492216eb49ffffff796af8d25d0a" prot="public">
          <name>CY_BLE_ESS_APPARENT_WIND_DIR</name>
          <briefdescription>
<para>Apparent Wind Direction Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934ea251bfc0f00fd332b59ab8d44913dceb9" prot="public">
          <name>CY_BLE_ESS_APPARENT_WIND_SPEED</name>
          <briefdescription>
<para>Apparent Wind Speed Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934eaf7b710461b7d2d2720a6d94ff55b8f08" prot="public">
          <name>CY_BLE_ESS_DEW_POINT</name>
          <briefdescription>
<para>Dew Point Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934eaaf9b31a734f02b1fc5c249cd7ffe6851" prot="public">
          <name>CY_BLE_ESS_ELEVATION</name>
          <briefdescription>
<para>Elevation Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934eaa5fe0dea393982a267d28ad91c74515a" prot="public">
          <name>CY_BLE_ESS_GUST_FACTOR</name>
          <briefdescription>
<para>Gust Factor Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934ea559cf054603c9e13faf20c8d0a277a7e" prot="public">
          <name>CY_BLE_ESS_HEAT_INDEX</name>
          <briefdescription>
<para>Heat Index Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934eafa9d07e4c993bc181d073425da85df42" prot="public">
          <name>CY_BLE_ESS_HUMIDITY</name>
          <briefdescription>
<para>Humidity Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934ea838252ecb0aa86a8b26411889abb8d80" prot="public">
          <name>CY_BLE_ESS_IRRADIANCE</name>
          <briefdescription>
<para>Irradiance Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934ea7ebafcdafedde126a19448e525247da7" prot="public">
          <name>CY_BLE_ESS_POLLEN_CONCENTRATION</name>
          <briefdescription>
<para>Pollen Concentration Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934ea81b94699de433c6a92bf8fed645c1242" prot="public">
          <name>CY_BLE_ESS_RAINFALL</name>
          <briefdescription>
<para>Rainfall Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934ea447ff6bb6752cca9444cfec99aa25fc2" prot="public">
          <name>CY_BLE_ESS_PRESSURE</name>
          <briefdescription>
<para>Pressure Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934eac94e96175ea4682aee243ccd01be29b5" prot="public">
          <name>CY_BLE_ESS_TEMPERATURE</name>
          <briefdescription>
<para>Temperature Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934eaffceee30fef1d32fece3926405f48d65" prot="public">
          <name>CY_BLE_ESS_TRUE_WIND_DIR</name>
          <briefdescription>
<para>True Wind Direction Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934ea0d965fe367e2358fbea18f7d581a1be2" prot="public">
          <name>CY_BLE_ESS_TRUE_WIND_SPEED</name>
          <briefdescription>
<para>True Wind Speed Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934ea41072c68a56a4baaa5b33c88b8a04f6a" prot="public">
          <name>CY_BLE_ESS_UV_INDEX</name>
          <briefdescription>
<para>UV Index Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934eab67276da36dd5622814a7d8bced5756e" prot="public">
          <name>CY_BLE_ESS_WIND_CHILL</name>
          <briefdescription>
<para>Wind Chill Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934ea81cf7b15febd6b3374d4274650789c9e" prot="public">
          <name>CY_BLE_ESS_BAROMETRIC_PRESSURE_TREND</name>
          <briefdescription>
<para>Barometric Pressure trend Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934ea9633d4c9f295814da4ca7e7ceea8c773" prot="public">
          <name>CY_BLE_ESS_MAGNETIC_DECLINATION</name>
          <briefdescription>
<para>Magnetic Declination Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934eab19a15e5d1b243f56684b5ffd50952fe" prot="public">
          <name>CY_BLE_ESS_MAGNETIC_FLUX_DENSITY_2D</name>
          <briefdescription>
<para>Magnetic Flux Density 2D Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934eaa9597d5242d64057579c01698d68ad2c" prot="public">
          <name>CY_BLE_ESS_MAGNETIC_FLUX_DENSITY_3D</name>
          <briefdescription>
<para>Magnetic Flux Density 3D Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaef87e7183f879f97b6b07f9f7f0d934ea35b3be41c91a5d5517b8dabd1d4a0697" prot="public">
          <name>CY_BLE_ESS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of ESS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_ess_char_index_t: </bold><linebreak />ESS Characteristic indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="175" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="151" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="152" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___e_s_s__definitions_1gaeb6edf48e4cc31a78e948eeb12215837" kind="enum" prot="public" static="no">
        <name>cy_en_ble_ess_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaeb6edf48e4cc31a78e948eeb12215837ace45830619d0a9554e7b5d244cb7fe34" prot="public">
          <name>CY_BLE_ESS_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaeb6edf48e4cc31a78e948eeb12215837ab83b9af75d3a476d76f0c1d0010a9950" prot="public">
          <name>CY_BLE_ESS_CHAR_EXTENDED_PROPERTIES</name>
          <briefdescription>
<para>Characteristic Extended Properties Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaeb6edf48e4cc31a78e948eeb12215837a1bac392eda732c938bb7863ed483efbb" prot="public">
          <name>CY_BLE_ESS_ES_MEASUREMENT_DESCR</name>
          <briefdescription>
<para>ES Measurement Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaeb6edf48e4cc31a78e948eeb12215837aaf0116c12bf8934cc0e1671a618c813e" prot="public">
          <name>CY_BLE_ESS_ES_TRIGGER_SETTINGS_DESCR1</name>
          <briefdescription>
<para>ES Trigger Settings Descriptor #1 index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaeb6edf48e4cc31a78e948eeb12215837aaa40339853dddfad5ac9b6ff8d0e7a9a" prot="public">
          <name>CY_BLE_ESS_ES_TRIGGER_SETTINGS_DESCR2</name>
          <briefdescription>
<para>ES Trigger Settings Descriptor #2 index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaeb6edf48e4cc31a78e948eeb12215837aeb3de4922d8862481c5dc9bed4e790ca" prot="public">
          <name>CY_BLE_ESS_ES_TRIGGER_SETTINGS_DESCR3</name>
          <briefdescription>
<para>ES Trigger Settings Descriptor #3 index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaeb6edf48e4cc31a78e948eeb12215837ab19e8df4d5a553d367ada505024bef66" prot="public">
          <name>CY_BLE_ESS_ES_CONFIG_DESCR</name>
          <briefdescription>
<para>ES Configuration Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaeb6edf48e4cc31a78e948eeb12215837a0e1649ae8ba9032ca70769043dd2d79b" prot="public">
          <name>CY_BLE_ESS_CHAR_USER_DESCRIPTION_DESCR</name>
          <briefdescription>
<para>Characteristic User Description Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaeb6edf48e4cc31a78e948eeb12215837a4cfc5cbedbef2a2669ecc6c13cb3e6a3" prot="public">
          <name>CY_BLE_ESS_VRD</name>
          <briefdescription>
<para>Valid Range Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___e_s_s__definitions_1ggaeb6edf48e4cc31a78e948eeb12215837ad9ab5b14cf870189a80ab1b193f3bbfe" prot="public">
          <name>CY_BLE_ESS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of Descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_ess_descr_index_t: </bold><linebreak />ESS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="190" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="178" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="179" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the ESS specific definitions and data structures used in the ESS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>